Name:          driver-manager
Version:       1.0
Release:       1%{?dist}
License:       GPLv2
Group:         System Environment/Libraries
Summary:       Driver Manager

Source0:        driver-manager.tar.gz

Requires:      /usr/bin/bash
Requires:	perl-Locale-gettext
Requires:	perl-JSON-PP
Requires:	perl-Sys-Hostname
Requires:	yad

BuildRequires:	perl-Locale-gettext
BuildRequires:	perl-JSON-PP
BuildRequires:	perl-Sys-Hostname
BuildRequires:	yad
BuildRequires:	make

# Gnome Deps
Suggests:	gnome-tweaks

# KDE Deps
Suggests:	kde-runtime

%prep
%autosetup -p1 -n driver-manager

%build
DESTDIR=%{buildroot} BIN_DIR=%{_bindir} LIB_DIR=%{_usr}/lib DATA_DIR=%{_datadir} SYSCONFDIR=%{_sysconfdir} make install

%description
Program for managing third-party drivers for some devices

%files
%{_usr}/lib/%{name}
%{_bindir}/*
%{_datadir}/*
%{_sysconfdir}/*

%post
pushd %{_bindir} >/dev/null
ln -s driver-manager.pl driver-manager
popd >/dev/null

%preun
rm -f %{_bindir}/driver-manager
